<template>
	<div>
		<el-select  v-model="_value"  value-key="id" :clearable="clearable" :disabled="disabled"
			:placeholder="placeholder" filterable default-first-option >
				<el-option 
					v-for="item in listaClientes"
					:key="item.id" :label="`${item.nombre}`"
					:value="{...item}">
					<!-- <span>{{typeof item.id}}</span> -->
					<!-- <span>{{item.id}} - {{item.nombre}}</span> -->
				</el-option>
		</el-select>
	</div>
</template>
<script>
// import store from '@/store/clientes'
import {Rest} from '@/../modules/mind-core-vue/'
export default {
	props: {
		value: [Number],
		placeholder: {
			type: String,
			default: 'Cliente'
		},
		clearable: Boolean,
		disabled: Boolean,
	},
	async created() {
		this.api = new Rest({
			uri: `api/agencias/1/clientes`, 
			key: 'id'})
		this.listaClientes = await this.api.FetchAll().catch((error)=>{
			this.$message({
				showClose: true,
				type: 'error',
				message: error
			});
		})
	},
	computed: {
		_value: {
			get() {
				return this.value
			},
			set(v) {
				this.$emit('input', v.id)
				this.$emit('change', v.id)
				this.$emit('select', v)
				
			}
		},
		// listaClientes() {
		// 	return []
		// }
	},
	data() {
		return {
			api: null,
			listaClientes: []
		}
	}
	
}
</script>